Subject: Re: [PATCH v2 1/6] net: dsa: Use delayed work instead of timer+work for polling

From: Neil Armstrong <[email-masked]>
Date: Thu, 29 Oct 2015 15:10:11 +0100

On 10/29/2015 02:51 PM, Andrew Lunn wrote:
> On Thu, Oct 29, 2015 at 02:22:41PM +0100, Neil Armstrong wrote:
> Hi Neil, Frode
> 
> I assume you have see:
> 
> http://permalink.gmane.org/gmane.linux.network/380777
> 
> which is now in net-next.
> 
> The only driver making use of poll_link is mv88e6060.c. The argument
> from removing it from the other mv88e6xxx drivers is that it is not
> needed. The phylib will be polling the phys and looking for state
> changes. mv88e6060.c implements phy_read() and phy_write() so it
> should also allow the use of phylib.
> 
> Could you try 6060 without .poll_link. If that works, we should be
> able to remove all this code, rather than fix it up.
> 
>      Andrew
> 
Hi Andrew,

Thanks for the hint, I will test this, but while reviewing the datasheet,
the port 5 has no PHY, so must only be used as cpu port.

I also have another patchset which fixes 2 setup registers writes and
adds a shiny new mv88e6060.h based on mv88e6xxx.h.
I think the removal of the poll_link in mv88e6060 should be in this patchset.

Neil